<?php  

//conectarse a la base datos
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require 'PHPMailer/Exception.php';
require 'PHPMailer/PHPMailer.php';
require 'PHPMailer/SMTP.php';

$servername = "localhost";
$username = "user";
$password = "Ch3vr0l3t_2020$";

try {
  $pdo = new PDO("mysql:host=$servername;dbname=wwchev_sanjorge_servicios", $username, $password);
  // set the PDO error mode to exception
  $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
  //echo "Connected successfully";
  //var_dump($_POST);
  $data = [
    'name' => $_POST["name"],
    'email' => $_POST["email"],
    'phone' => $_POST["phone"],
    'plate' => $_POST["plate"],
    'year' => $_POST["year"],
    'brand' => $_POST["brand"],
    'mileage' => $_POST["mileage"],
    'service' => $_POST["service"],
    'sede' => $_POST["sede"],
    'message' => $_POST["message"],
    'switch' => $_POST["switch"],
    'date' => date("Y-m-d H:i:s"),
  ];
  $sql = "INSERT INTO vehicle_services (name, email, phone, plate, year, brand, mileage, service, sede, message,switch, date) VALUES (:name, :email, :phone, :plate, :year, :brand, :mileage, :service, :sede, :message, :switch, :date)";
  $stmt= $pdo->prepare($sql);
  $stmt->execute($data);
//conectarse a la base datos FIN
  
  /*$sql = 'SELECT * FROM vehicle_services';
  $q = $pdo->query($sql);
  $q->setFetchMode(PDO::FETCH_ASSOC);*/
  
  
  //Create our SQL query.
  $sql = "SELECT * FROM vehicle_services";

  //Prepare our SQL query.
  $statement = $pdo->prepare($sql);

  //Executre our SQL query.
  $statement->execute();

  //Fetch all of the rows from our MySQL table.
  $rows = $statement->fetchAll(PDO::FETCH_ASSOC);

  //Get the column names.
  $columnNames = array();
  if(!empty($rows)){
      //We only need to loop through the first row of our result
      //in order to collate the column names.
      $firstRow = $rows[0];
      foreach($firstRow as $colName => $val){
          $columnNames[] = $colName;
      }
  }

  //Setup the filename that our CSV will have when it is downloaded.
  $fileName = 'mysql-export.csv';

  //Open up a file pointer
  $fp = fopen('/home/wwchev/tmp/agendamiento-automayor-servicios.csv', 'w');

  //Start off by writing the column names to the file.
  fputcsv($fp, $columnNames);

  //Then, loop through the rows and write them to the CSV file.
  foreach ($rows as $row) {
      fputcsv($fp, $row);
  }

  //Close the file pointer.
  fclose($fp);

} catch(PDOException $e) {
  echo "Connection failed: " . $e->getMessage();
}


$carta = "<b>De:</b> ". $_POST["name"] ."<br>";
$carta .= "<b>Correo Electronico:</b> ". $_POST["email"] ."<br>";
$carta .= "<b>Telefono:</b> ". $_POST["phone"] ."<br>";
$carta .= "<b>Placa:</b> ". $_POST["plate"] ."<br>";
$carta .= "<b>Kilometraje:</b> ". $_POST["mileage"] ."<br>";
$carta .= "<b>Modelo:</b> ". $_POST["year"] ."<br>";
$carta .= "<b>Marca:</b> ". $_POST["brand"] ."<br>";
$carta .= "<b>Servicio:</b> ". $_POST["service"] ."<br>";
$carta .= "<b>Sede:</b> ". $_POST["sede"] ."<br>";
$carta .= "<b>Mensaje:</b> ". $_POST["message"] ."<br>";
$carta .= "<b>Politica de privacidad:</b> ". $_POST["switch"] ."<br>";


//Create an instance; passing `true` enables exceptions
$mail = new PHPMailer(true);

try {
    //Server settings
    //$mail->SMTPDebug = SMTP::DEBUG_SERVER;                      //Enable verbose debug output
    //$mail->isSMTP();                                            //Send using SMTP
    $mail->Host       = 'mail.chevrolet360.co';                     //Set the SMTP server to send through
    $mail->SMTPAuth   = true;                                   //Enable SMTP authentication
    $mail->Username   = 'info@chevrolet360.co';                     //SMTP username
    $mail->Password   = '7lt]T_vJ+9L1';                               //SMTP password
    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;            //Enable implicit TLS encryption
    $mail->Port       = 465;                                    //TCP port to connect to; use 587 if you have set `SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS`

    //Recipients
    $mail->setFrom('info@chevrolet360.co', 'Automayor Agendamiento');
   // $mail->addAddress('angela.sabogal@carat.com');  
     $mail->addAddress('mercadeo@automayor.com.co');
    $mail->addAddress('backoffice@automayor.com.co');               //Name is optional 
  //Name is optional 
  
    $mail->addAttachment('/home/wwchev/tmp/agendamiento-automayor-servicios.csv');
  
    //Content
    $mail->isHTML(true);                                  //Set email format to HTML
    $mail->Subject = 'Agendamiento de Servicio';
    //$mail->Body    = 'This is the HTML message body <b>in bold!</b>';
    $mail->Body    = $carta;
    $mail->AltBody = 'This is the body in plain text for non-HTML mail clients';

    $mail->send();
    //echo 'Message has been sent';
} catch (Exception $e) {
    echo "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
}
?>
<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Formulario de contacto</title>

    <link rel="stylesheet" href="main.css">
    <link rel="stylesheet" href="css/font-awesome.css">
    <script src="js/jquery-3.2.1.js"></script>
    <script src="js/script.js"></script>
  </head>
   <style>
    .mensaje-exito {
  color: #fff;
  font-size: 18px;
  line-height: 25px;
  letter-spacing: 0px;
  font-family: "helvetica";
  font-weight: normal;
  color: #393839;
}
  </style>
  <body>
    <section class="form_wrap">
      <section class="mensaje-exito">
        <div class="correcto"><b>Su mensaje se envio con exito</b></div><br>
        <p>Muchas Gracias por confiar en Automayor Chevrolet, en unos momentos un asesor se comunicará contigo</p><br>
        <div class="info"><b><a href="https://chevrolet360.co/agendamiento-servicios-automayor/Form-Agend-Services/index.html">Enviar nuevo mensaje</a></b></div>
      </section>
    </section>
  </body>
</html>
